EPINFO(1)

NAME

epinfo - extract technical information from digital camera generated files

SYNOPSIS

epinfo [-h] [-V] [-z] [-r] [-t] [-f fmt] [-T <TagName>] <filename> ...

DESCRIPTION

This command extracts the contents of TIFF directory of Exif files or APP12 marker from JFIF files, parses it and optionally finds specific data inside it. If used without -T, -r and -t options, dumps the complete block data in human readable format. With -r and -t options, renames and changes timestamp of the files.

OPTIONS

-h  This option produces a help screen of all options and commands.

-V  This option prints software revision information.

-z  This option sets no time-zone processing mode. Use this option if the camera's clock is set up shifted by the local timezone offset (as it is when you set it manually to the local time).

-r  Rename files, generating new name based on the time of snapshot and -f option value.

-t  Set timestamp of the files to the time of snapshots.

-f timeformat
    This option permits specifying the format for automatically generated image file names; the value is used as the format string for strftime(3) function. By default, names of the format "MMDD_NNN.jpg" are generated, where MM is a month, DD is a day, and NNN is a count starting from 001. A good starting point for the timeformat value could be "%Y_%m_%d-%H_%M_%S.jpg". If the format string contains context "%%XXXd" where XXX are digits, it is taken for the count, i.e. if the file with such name is present, next count is tried. If the format string does not contain "%%XXXd" part, the count field, if necessary, is appended at the end of the name.

    A few single-character formats are used as shortcuts. "x" makes the name of seconds since the epoch in hexadecimal format (8 characters + ".jpg"), "d" - the same in decimal format (10 characters), "1" stands for default format "%m%d_%%03d.jpg", "2" stands for "%y%m%d%%02d.jpg", "3" stands for "%Y_%m_%d-%H_%M_%S.jpg" and 4 stands for "%Y/%m/%d/%H_%M_%S.jpg". The program attempts to create intermediate directories is necessary (and possible).

-T <TagName>
    Output the value of this keyword in the information block. Note that keywords are case sensitive. TagName DateTime has special meaning: if the file is Exif, it just prints the value of DateTime tag, and if the format is old APP12, it outputs the value of TimeDate tag in the same format as Exif DateTime.

ARGUMENTS

<filename> ...
    List of filenames to process.

EXAMPLES

% epinfo -f3 -rt pic00001.jpg

% epinfo -T FNumber 0512_003.jpg

OTHER NOTES

The latest version of this tool can be found at http://photopc.sourceforge.net/

Trademarks are properties of their respective owners.

COPYRIGHT

The program is copyrighted by Eugene G. Crosser <crosser@average.org> and freely distributable. See README file for details.

SEE ALSO

photopc(1)